<template>
    <div>
        <h1>{{ title }}</h1>
        <athletes-list v-if="athletesListData.length > 0" :athletes-list-data="athletesListData"
            :is-selected-list="isSelectedList" @deselect="$emit('deselect', $event)" @select="$emit('select', $event)" />
        <div v-else>No data</div>
    </div>
</template>

<script>

import athletesList from '@/components/athletesList.vue';
export default {
    name: 'athletesGeneralList',
    components: {
        athletesList,
    },
    props: {
        title: {
            type: String,
            default: 'No title',
        },
        athletesListData: {
            type: Array,
            default: () => [],
        },
        isSelectedList: {
            type: Boolean,
            default: false,
        }
    },
}
</script>

<style lang="scss" scoped></style>